Skip to main content
POST
Get Plan List

Endpoint Overview

POST https://api.unibee.dev/merchant/plan/list Get Plan List

Authorization

All UniBee Merchant API requests require authentication via API key.

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body


Request examples

cURL

Sandbox


Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.

Error handling

When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
billingIntervalMin
string<string>

Minimum billing interval in ISO 8601 duration (date part only, Y/M/W/D), e.g. P1M, P6M, P1Y, P2W, P10D

count
integer<int>

Count Of Per Page, Default 100

currency
string<string>

Filter Currency

intervalCounts
integer<int>[]

Filter by interval count; ignored when billingIntervalMin is provided

intervalUnits
string<string>[]

Filter by interval unit (day|week|month|year); ignored when billingIntervalMin is provided

page
integer<int>

Page, Start 0

planIds
integer<int64>[]

filter id list of plan, default all

planTagFilter
object
productIds
integer<int64>[]

filter id list of product, default all product(0) used if not specified

publishStatus
integer<int>

Filter, Default All,PublishStatus,1-UnPublished,2-Published

searchKey
string<string>

Search Key, plan name or description

sortField
string<string>

Sort Field,plan_name|gmt_create|gmt_modify,Default gmt_create

sortType
string<string>

Sort Type,asc|desc,Default desc

status
integer<int>[]

Filter, Default All,,Status,1-Editing,2-Active,3-InActive,4-SoftArchive, 5-HardArchive

type
integer<int>[]

1-main plan,2-addon plan,3-onetime

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>